#!/bin/bash -e
#
# Installs Prometheus Push Gateway for receiving pushed metrics.
#
###############################################################################

set -o pipefail

###############################################################################

hash sudo
hash pacman

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Installing Prometheus Push Gateway...                                -"
echo "------------------------------------------------------------------------"

sudo pacman -S --needed --noconfirm prometheus-push-gateway

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Configuring...                                                       -"
echo "------------------------------------------------------------------------"

sudo mkdir "/monitoring/push-gateway"
sudo chown push_gateway:push_gateway "/monitoring/push-gateway"
sudo chmod 500 "/monitoring/push-gateway"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
